![logo](https://code.spearhead.cloud/Spearhead/node-spearhead/raw/branch/master/tools/sphsp.png)

# node-spearhead

This repository holds the node-spearhead CLI tool to work with the Spearhead 
Cloud. It is a fork of [node-triton](https://github.com/joyent/node-triton).

## Installation and configuration

### Get a Spearhead Cloud account

Create an account on the Spearhead Cloud and upload your SSH key. You can create an account 
[here](https://spearhead.cloud/).


### Data-centers

The list of available Spearhead Cloud data-centers is available 
[here](https://spearhead.cloud/datacenters).


### Installation

Install [node.js](http://nodejs.org/), then:

    npm install -g spearhead

Verify that it is installed and on your PATH:
    $ spearhead --version
    Spearhead CLI 6.1.4
    https://code.spearhead.cloud/Spearhead/node-spearhead
    
Now you ca use `spearhead` to interact with our Public Cloud. More details 
about installation and configuration are available 
[here](https://docs.spearhead.cloud).

## License
MPL 2.0
